package context_utils

import (
	"context"
	"strconv"

	"google.golang.org/grpc/metadata"
)

type UnauthorizedErr struct{}

func (e *UnauthorizedErr) Error() string {
	return "user not autorize"
}

func GetUserId(ctx context.Context) (int, error) {
	md, ok := metadata.FromIncomingContext(ctx)
	if !ok {
		return 0, &UnauthorizedErr{}
	}
	id, err := strconv.Atoi(md["user-id"][0])
	if err != nil {
		return 0, &UnauthorizedErr{}
	}
	return id, nil
}
